# Class processing_instruction

- Defined in File node.hpp

## Inheritance Relationships

### Base Type

- `public zeem::node_with_text` (Class node_with_text)

## Class Documentation

class processing_instruction : public zeem::node_with_text

  A node containing a XML processing instruction (like e.g. <?php ?>).

  Public Functions

  inline virtual node_type type() const override

    node_type to be returned by each implementation of this node class

  processing_instruction() = default

    default constructor

  inline processing_instruction(std::string target, std::string text)

    constructor with parameters

    This constructs a processing instruction with the specified parameters

    Parameters:

      - target – The target, this will follow the <? characters, e.g. `php` will generate <?php … ?>

      - text – The text inside this node, e.g. the PHP code.

  processing_instruction(const processing_instruction &pi) = default

    copy constructor

  processing_instruction(processing_instruction &&pi) noexcept = default

    move constructor

  inline processing_instruction &operator=(processing_instruction pi) noexcept

    assignment operator

  inline virtual std::string get_qname() const override

    return the qname which is the same as the target in this case

  inline std::string get_target() const

    return the target

  inline void set_target(std::string target)

    set the target

  inline virtual bool equals(const node *n) const override

    compare nodes for equality